import { PageViewport } from '../pdfjs';
import { ScrollMode, SidebarTypes, SpreadMode, TextLayerMode } from '../enums';
import { PageColors } from '../viewer';
export declare function defineWorker(): void;
export declare function updateLayerDimensions(div: HTMLElement, viewport: PageViewport, mustFlip?: boolean, mustRotate?: boolean): void;
export declare function apiPageLayoutToViewerModes(layout: string): {
    scrollMode: ScrollMode.VERTICAL | ScrollMode.PAGE;
    spreadMode: SpreadMode.NONE | SpreadMode.ODD | SpreadMode.EVEN;
};
export declare function apiPageModeToSidebar(mode: string): SidebarTypes | undefined;
export declare function initializePermissions(permissions?: number[], defaults?: {
    annotationEditorMode?: number;
    annotationMode?: number;
    textLayerMode?: TextLayerMode;
}): {
    annotationEditorMode: number;
    annotationMode: number;
    textLayerMode: TextLayerMode;
};
export declare function resolvePageColors(): {
    background: string;
    foreground: string;
} | undefined;
export declare function applyHighlightHCMFilter(container: HTMLElement, pageColors?: PageColors, filterFactory?: any): void;
